Author Topic: Keeps asking for Java  (Read 310 times)

Angelis_Mortis

  • Recruit
  • *
  • Posts: 2
Keeps asking for Java
« on: 17 March 2024, 11:17:26 »
I'm trying to open megamek but it keeps saying I need to install latest Java. I already installed it and it still keeps asking for it. What am I missing?

rjhancock

  • Warrant Officer
  • *
  • Posts: 413
  • MegaMek Server Guy and Mac Enthusist
Re: Keeps asking for Java
« Reply #1 on: 17 March 2024, 11:20:14 »
If running 0.48.0, update to 0.49.7.

Next, follow the instructions here EXACTLY, DO NOT SKIP ANY STEP AND READ OVER IT SEVERAL TIMES!!! (taken from the MM Discord where this question gets asked to the point we have a command for it).

If on 0.49.7, get Java 11. If on any version post 0.49.11, Can use 11 or 17.

** Java Update Protocol Activated!**
Hey MechWarriors! Time to power up your Java systems: https://github.com/MegaMek/megamek/wiki/Updating-to-Adoptium

:robot: **Critical Mission Briefing**:
1. Follow these steps **EXACTLY** – or risk facing the wrath of a misconfigured Mech!
2. Don't forget the **reboots** and **Step 6** – they're more important than a headshot with a PPC!
3. Current Java loadout: **Java 11 minimum, Java 17 maximum** (as of 0.49.11 Dev release, Dec 22, 2022).
4. Ignoring these steps might leave your Mech as useful as a Locust in an Atlas fight!

Remember, a well-updated Mech is a well-prepared Mech!

Hammer

  • Numerorum Malleo
  • Global Moderator
  • Major
  • *
  • Posts: 4299
    • MegaMek Website
MegaMek Projects Wiki
Bug Trackers
MegaMek Tracker
MekHQ Tracker
MegaMekLab Tracker
New Units and RAT's aren't added until after the 2 month release moratorium is passed.
Join the official MegaMek Discord

Angelis_Mortis

  • Recruit
  • *
  • Posts: 2
Re: Keeps asking for Java
« Reply #3 on: 17 March 2024, 11:32:07 »
Yeah it was the wrong Java. It lead automatically to 8 and I didn't realize it. I found 11 and updated and now we're good. Thanks for the help guys. Appreciate it.

 

Register